package com.gree.mall.manager.bean.apply;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.WorkerInvolveEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class WorkerInvolveApplyVO    {

    @ApiModelProperty(value = "状态")
    private WorkerInvolveEnum status;

    @ApiModelProperty(value = "工单id")
    private String orderBaseId;


    @ApiModelProperty(value = "联系人")
    private String linkName;

    @ApiModelProperty(value = "客户电话")
    private String userMobile;


    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "省")
    private String province;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "省id")
    private String provinceId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "市")
    private String city;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "市id")
    private String cityId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "区")
    private String area;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "区id")
    private String areaId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "街道")
    private String street;
    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "街道id")
    private String streetId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "详细地址")
    private String address;


    @ApiModelProperty(value = "网点编号")
    private String websitNumber;

    @ApiModelProperty(value = "网点名称")
    private String websitName;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "师傅编号")
    private String workerNumber;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "师傅名称")
    private String workerName;


    @ApiModelProperty(value = "申请服务人员编号")
    private String applyWorkerNumber;

    @ApiModelProperty(value = "申请服务人员名称")
    private String applyWorkerName;


    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "完工时间")
    private Date overTime;

    @ApiModelProperty(value = "问题描述")
    private String problemDescription;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "申请理由")
    private String reason;
}
